
package com.tmerclub.cloud.multishop.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 通联商家提现申请
 * @author TRACK
 */
@Data
public class AllinpayShopWithdrawCashDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "绑定银行卡号")
    private String bankCardNo;

    @Schema(description = "提现金额")
    private Long amount;

    @Schema(description = "提现订单号")
    private String bizOrderNo;

    @Schema(description = "短信验证码")
    private String verificationCode;
}
