
package com.tmerclub.cloud.multishop.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 商家店铺余额充值记录
 *
 * @author chiley
 */
@Data
public class ShopWalletRechargeOrderDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "充值金额id")
    private Long rechargeId;
    @Schema(description = "充值金额")
    private BigDecimal amount;


}
