
package com.tmerclub.cloud.api.feign;

import com.tmerclub.cloud.api.vo.EsPageVO;
import com.tmerclub.cloud.common.order.dto.OrderRefundSearchDTO;
import com.tmerclub.cloud.common.order.vo.EsOrderRefundVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

/**
 * 退款订单搜索
 * @author YXF
 * @date 2022/08/24
 */
public interface SearchOrderRefundFeignClient {

    /**
     * 分页获取退款订单信息
     * @param orderRefundSearchDTO
     * @return
     */
    ServerResponseEntity<EsPageVO<EsOrderRefundVO>> pageOrderRefund(OrderRefundSearchDTO orderRefundSearchDTO);
}
