
package com.tmerclub.cloud.api.user.feign;

import com.tmerclub.cloud.api.user.dto.UserScoreLockDTO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

import java.util.List;

/**
 * @author tmerclub
 * @date 2020/12/22
 */
public interface UserScoreLockFeignClient {

    /**
     * 锁定积分
     * @param userScoreLocks 参数
     * @return 是否成功
     */
    ServerResponseEntity<Void> lock(List<UserScoreLockDTO> userScoreLocks);

}
