
package com.tmerclub.cloud.common.leaf.segment.dao;

import com.tmerclub.cloud.common.leaf.segment.model.LeafAlloc;

import java.util.List;

/**
 * @author leaf
 */
public interface IDAllocDao {

    /**
     * com.moyuer.cloud.leaf.segment.dao.IDAllocMapper.getAllLeafAllocs
     * @return List LeafAlloc
     */
    List<LeafAlloc> getAllLeafAllocs();

    /**
     * updateMaxIdAndGetLeafAlloc
     *
     * @param tag  tag
     * @param length
     * @return LeafAlloc
     */
    LeafAlloc updateMaxIdAndGetLeafAlloc(String tag, int length);

    /**
     * updateMaxIdByCustomStepAndGetLeafAlloc
     *
     * @param leafAlloc leafAlloc
     * @param length
     * @return LeafAlloc
     */
    LeafAlloc updateMaxIdByCustomStepAndGetLeafAlloc(LeafAlloc leafAlloc, int length);

    /**
     * getAllTags
     * @return List String
     */
    List<String> getAllTags();

}
