
package com.tmerclub.cloud.user.mapper;

import com.tmerclub.cloud.user.model.UserBalanceLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 余额记录
 *
 * @author tmerclub
 * @date 2021-04-27 15:51:36
 */
public interface UserBalanceLogMapper {

    /**
     * 获取保存到mongodb的余额记录
     * @param start
     * @param size
     * @return
     */
    List<UserBalanceLog> listToMongodb(@Param("start") int start, @Param("size") int size);
}
