
package com.tmerclub.cloud.platform.model;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;

/**
 * 密钥对应可用菜单
 * @author LGH
 */
@Data
@Schema(description = "密钥对应可用菜单")
public class SysAccessMenu implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;
    @Schema(description = "密钥id")
    private Long sysAccessKeyId;
    @Schema(description = "菜单ID")
    private Long menuId;

}
