
package com.tmerclub.cloud.supplier.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 供应商审核信息
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
@Data
public class SupplierAuditing extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 供应商审核id
     */
    private Long supplierAuditingId;

    /**
     * 申请人id
     */
    private Long userId;

    /**
     * 供应商ID
     */
    private Long supplierId;

    /**
     * 审核人id
     */
    private Long auditorId;

    /**
     * 0 未审核 1已通过 -1未通过
     */
    private Integer status;

    /**
     * 备注
     */
    private String remarks;

    }
