
package com.tmerclub.cloud.api.user.bo;

import java.io.Serial;
import java.io.Serializable;
/**
 * 充值成功通知
 * @author tmerclub
 */
public class RechargeNotifyBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long balanceLogId;

    private Integer payType;

    private Long payId;

    public RechargeNotifyBO() {
    }

    public RechargeNotifyBO(Long balanceLogId, Integer payType, Long payId) {
        this.balanceLogId = balanceLogId;
        this.payType = payType;
        this.payId = payId;
    }

    public Long getBalanceLogId() {
        return balanceLogId;
    }

    public void setBalanceLogId(Long balanceLogId) {
        this.balanceLogId = balanceLogId;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Long getPayId() {
        return payId;
    }

    public void setPayId(Long payId) {
        this.payId = payId;
    }

    @Override
    public String toString() {
        return "RechargeNotifyBO{" +
                "rechargeLogId=" + balanceLogId +
                ", payType=" + payType +
                ", payId=" + payId +
                '}';
    }
}
