
package com.tmerclub.cloud.payment.constant;

import com.tmerclub.cloud.common.leaf.constant.GlobalDistributedIdKey;

/**
 * 分布式id key
 *
 * @author tmerclub
 * @date 2021/4/9
 */
public interface DistributedIdKey {

    /**
     * 支付单号
     */
    String tmerclub_PAY = "tmerclub-pay";

    /**
     * 更新企业信息的商户唯一流水号
     */
    String tmerclub_ALLINPAY_UPDATE_COMPANY_SN = "tmerclub-alllinpay-update-company-sn";

    /**
     * 通联提现单号
     */
    String tmerclub_WITHDRAW_CASH = "tmerclub-withdraw-cash";

    /**
     * 通联文件上传单号
     */
    String tmerclub_FILE_UPLOAD = "tmerclub-file-upload";

    /**
     * 订单退款id
     */
    String tmerclub_REFUND = GlobalDistributedIdKey.tmerclub_REFUND.value();
}
