package com.tmerclub.cloud.search.canal.support.processor;


import com.tmerclub.cloud.search.canal.model.CanalBinLogEvent;

/**
 * @author throwable
 * @version v1
 * @description
 * @since 2020/9/23 23:13
 */
@FunctionalInterface
public interface ExceptionHandler {

    /**
     * 错误信息
     * @param event
     * @param throwable
     */
    void onError(CanalBinLogEvent event, Throwable throwable);

    ExceptionHandler NO_OP = (event, throwable) -> {
    };
}
